Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.components.table
Class WebTable.WebTableRowIterator

    java.lang.Object
      org.apache.struts2.components.table.WebTable.WebTableRowIterator

All Implemented Interfaces:
  Iterator

Enclosing class:
  WebTable

    public class WebTable.WebTableRowIterator

extends Object
implements Iterator

inner class to iteratoe over a row of the table. It can return formatted data, using the columnRenderer for the column or it can return the raw data.

Field Summary
`protected int` | `_curRow`
`protected int` | `_mode`
`protected WebTable` | `_table`
`static int` | `FORMATTED_DATA`
`static int` | `RAW_DATA`

Constructor Summary
`protected` | `WebTable.WebTableRowIterator(WebTable table)`
`protected` | `WebTable.WebTableRowIterator(WebTable table, int mode)`

Method Summary
`boolean` | `hasNext()`
`Object` | `next()`
`void` | `remove()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FORMATTED_DATA

    public static final int FORMATTED_DATA

See Also:
  Constant Field Values

### RAW_DATA

    public static final int RAW_DATA

See Also:
  Constant Field Values

### _table

    protected WebTable _table

### _curRow

    protected int _curRow

### _mode

    protected int _mode

Constructor Detail

### WebTable.WebTableRowIterator

    protected WebTable.WebTableRowIterator(WebTable table)

### WebTable.WebTableRowIterator

    protected WebTable.WebTableRowIterator(WebTable table,
                                           int mode)

Method Detail

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `Iterator`

### next

    public Object next()
                throws NoSuchElementException

  Specified by:
    `next` in interface `Iterator`
  Throws:
    `NoSuchElementException`

### remove

    public void remove()
                throws UnsupportedOperationException,
                       IllegalStateException

  Specified by:
    `remove` in interface `Iterator`
  Throws:
    `UnsupportedOperationException`
    `IllegalStateException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 Apache Software Foundation. All Rights Reserved.